Create a new machine in a fleet.

Create a new machine in a fleet.

Create a new machine in a fleet.

POST/api/machines
Body
fleetstringrequired

Request

curl
curl -X POST https://trickest.io/api/machines \
  -H "Authorization: Bearer $TRICKEST_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ }'

Responses

201Created machine
idstringrequired
namestring
fleetstring
fleet_idstring
machine_typenumber
stateenum | number
statusobject
ipstring
executionstring
authobject

created_datestring
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.